<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

//Route::middleware('auth:api')->get('/user', function (Request $request) {
//    return $request->user();
//});



//
$api = app('Dingo\Api\Routing\Router');

$api->version('v1', ['namespace' => 'App\Http\Controllers\Api\V1'], function ($api) {

    $api->post('attachment/upload', [
        'as' => 'attachment.upload',
        'uses' => 'AttachmentController@upload',
    ]);
    $api->post('attachment/delete', [
        'as' => 'attachment.delete',
        'uses' => 'AttachmentController@delete',
    ]);
    $api->get('shop2', [
        'as' => 'shop2',
        'uses' => 'AuthController@shop2',
    ]);

    $api->post('auth/login', [
        'as' => 'auth.login',
        'uses' => 'AuthController@login',
    ]);

    $api->get('home/index', [
        'as' => 'home.index',
        'uses' => 'HomeController@index',
    ]);
    $api->get('home/search', [
        'as' => 'home.search',
        'uses' => 'HomeController@search',
    ]);
    $api->get('cate/index', [
        'as' => 'cate.index',
        'uses' => 'CateController@index',
    ]);
    $api->get('goods/show', [
        'as' => 'goods.show',
        'uses' => 'GoodsController@show',
    ]);
    $api->post('goods/comment', [
        'as' => 'goods.comment',
        'uses' => 'GoodsController@comment',
    ]);
    $api->get('goods/addtocar', [
        'as' => 'goods.addtocar',
        'uses' => 'GoodsController@addToCar',
    ]);
    $api->get('goods/chose_attr', [
        'as' => 'goods.chose_attr',
        'uses' => 'GoodsController@choseAttr',
    ]);
    $api->get('goods/collection', [
        'as' => 'goods.collection',
        'uses' => 'GoodsController@collection',
    ]);
    $api->get('car/index', [
        'as' => 'car.index',
        'uses' => 'CarController@index',
    ]);
    $api->get('car/delete', [
        'as' => 'car.delete',
        'uses' => 'CarController@delete',
    ]);
    $api->post('car/update', [
        'as' => 'car.update',
        'uses' => 'CarController@update',
    ]);
    $api->get('find/index', [
        'as' => 'find.index',
        'uses' => 'FindController@index',
    ]);
    $api->get('my/index', [
        'as' => 'my.index',
        'uses' => 'MyController@index',
    ]);
    $api->get('my/favorite', [
        'as' => 'my.favorite',
        'uses' => 'MyController@favorite',
    ]);
    $api->get('my/address/index', [
        'as' => 'address.index',
        'uses' => 'AddressController@index',
    ]);
    $api->get('my/address/area', [
        'as' => 'address.area',
        'uses' => 'AddressController@area',
    ]);
    $api->get('my/address/show', [
        'as' => 'address.show',
        'uses' => 'AddressController@show',
    ]);
    $api->post('my/address/update', [
        'as' => 'address.update',
        'uses' => 'AddressController@update',
    ]);
  /*  $api->post('my/address/store', [
        'as' => 'address.store',
        'uses' => 'AddressController@store',
    ]);*/
    $api->get('my/address/delete', [
        'as' => 'address.delete',
        'uses' => 'AddressController@delete',
    ]);
    $api->get('my/address/edit', [
        'as' => 'address.edit',
        'uses' => 'AddressController@edit',
    ]);

    $api->get('order/sure', [
        'as' => 'order.sure',
        'uses' => 'OrderController@sure',
    ]);
    $api->get('order/create', [
        'as' => 'order.create',
        'uses' => 'OrderController@create',
    ]);
    $api->get('order/show', [
        'as' => 'order.show',
        'uses' => 'OrderController@show',
    ]);
    $api->post('order/pay', [
        'as' => 'order.pay',
        'uses' => 'OrderController@pay',
    ]);
    $api->post('order/refund', [
        'as' => 'order.refund',
        'uses' => 'OrderController@refund',
    ]);
    $api->get('company/info', [
        'as' => 'company.info',
        'uses' => 'CompanyController@companyInfo',
    ]);
    $api->get('company/version', [
        'as' => 'company.version',
        'uses' => 'CompanyController@version',
    ]);
    $api->get('card/index', [
        'as' => 'card.index',
        'uses' => 'CardController@cardIndex',
    ]);
    $api->get('card/info', [
        'as' => 'card.info',
        'uses' => 'CardController@cardUserInfo',
    ]);
    $api->get('card/progress', [
        'as' => 'card.progress',
        'uses' => 'CardController@cardUserProgress',
    ]);
    $api->get('card/honor', [
        'as' => 'card.honor',
        'uses' => 'CardController@cardUserHonor',
    ]);
    $api->get('card/setting', [
        'as' => 'card.setting',
        'uses' => 'CardController@cardSetting',
    ]);
    $api->get('card/project', [
        'as' => 'card.project',
        'uses' => 'CardController@cardUserProject',
    ]);

    $api->get('card/projectDetail', [
        'as' => 'card.projectDetail',
        'uses' => 'CardController@projectDetail',
    ]);

    $api->get('card/trend', [
        'as' => 'card.trend',
        'uses' => 'CardController@CardUserTrend',
    ]);
    $api->get('card/trendDetail', [
        'as' => 'card.trendDetail',
        'uses' => 'CardController@trendDetail',
    ]);
    $api->get('album/setting', [
        'as' => 'album.setting',
        'uses' => 'AlbumController@albumSetting',
    ]);

    $api->get('album/cat', [
        'as' => 'album.cat',
        'uses' => 'AlbumController@albumCat',
    ]);
    $api->get('album/goods', [
        'as' => 'album.goods',
        'uses' => 'AlbumController@albumGoods',
    ]);
    $api->get('album/goods-detail', [
        'as' => 'album.goods-detail',
        'uses' => 'AlbumController@albumGoodsDetail',
    ]);
    $api->get('album/set-price', [
        'as' => 'album.set-price',
        'uses' => 'AlbumController@albumSetPrice',
    ]);
    $api->post('album/xyx_login', [
        'as' => 'album.xyx_login',
        'uses' => 'AlbumController@albumXyxLogin',
    ]);
    $api->post('album/login', [
        'as' => 'album.login',
        'uses' => 'AlbumController@albumXcxLogin',
    ]);
    $api->get('album/checklogin', [
        'as' => 'album.checklogin',
        'uses' => 'AlbumController@albumchecklogin',
    ]);

    $api->get('album/content_list', [
        'as' => 'album.content_list',
        'uses' => 'AlbumController@albumContentList',
    ]);
    $api->get('album/content_detail', [
        'as' => 'album.content_detail',
        'uses' => 'AlbumController@albumContentDetail',
    ]);
    $api->get('album/style', [
        'as' => 'album.style',
        'uses' => 'AlbumController@albumStyle',
    ]);

    $api->post('album/set-phone', [
        'as' => 'album.savePhone',
        'uses' => 'AlbumController@albumSavePhone',
    ]);

    $api->post('album/get-watch-recored', [
        'as' => 'album.GetWatchRecord',
        'uses' => 'AlbumController@albumGetWatchRecord',
    ]);

    $api->post('album/get-cart-of-watch', [
        'as' => 'album.GetCartOfWatch',
        'uses' => 'AlbumController@albumGetCartOfWatch',
    ]);

    $api->post('album/set-watch', [
        'as' => 'album.SetWatch',
        'uses' => 'AlbumController@albumSetWatch',
    ]);

    $api->post('album/save_form_id', [
        'as' => 'album.SaveFormId',
        'uses' => 'AlbumController@albumSaveFormId',
    ]);

    $api->get('album/search_goods', [
        'as' => 'album.search_goods',
        'uses' => 'AlbumController@albumSearchGoods',
    ]);

    $api->get('album/add_favorite', [
        'as' => 'album.add_favorite',
        'uses' => 'AlbumController@albumAddFavorite',
    ]);

    $api->get('album/favorite_list', [
        'as' => 'album.favorite_list',
        'uses' => 'AlbumController@albumFavoriteList',
    ]);
    $api->get('album/favorite_del', [
        'as' => 'album.favorite_del',
        'uses' => 'AlbumController@albumFavoriteDel',
    ]);


    $api->get('furniture/setting', [
        'as' => 'furniture.setting',
        'uses' => 'FurnitureController@furnitureSetting',
    ]);
    $api->any('furniture/add_comments', [
        'as' => 'furniture.add_comments',
        'uses' => 'FurnitureController@furnitureAddComments',
    ]);
    $api->get('furniture/news_detail', [
        'as' => 'furniture.detail',
        'uses' => 'FurnitureController@furnitureNewsDetail',
    ]);
    $api->get('furniture/news_list', [
        'as' => 'furniture.list',
        'uses' => 'FurnitureController@furnitureNewsList',
    ]);
    $api->post('furniture/xcx_login', [
        'as' => 'furniture.xcx_login',
        'uses' => 'FurnitureController@furnitureXcxLogin',
    ]);
    $api->get('furniture/goods_list', [
        'as' => 'furniture.goodslist',
        'uses' => 'FurnitureController@furnitureGoodsList',
    ]);


    $api->get('furniture/getattr', [
        'as' => 'furniture.getattr',
        'uses' => 'FurnitureController@getAttr',
    ]);
    $api->post('furniture/createorder', [
        'as' => 'furniture.createOrder',
        'uses' => 'FurnitureController@createOrder',
    ]);
    $api->get('furniture/getorder', [
        'as' => 'furniture.getorder',
        'uses' => 'FurnitureController@getOrder',
    ]);
    $api->get('furniture/getorderdetail', [
        'as' => 'furniture.getOrderDetail',
        'uses' => 'FurnitureController@getOrderDetail',
    ]);
    $api->get('furniture/getprogress', [
        'as' => 'furniture.getprogress',
        'uses' => 'FurnitureController@getProgress',
    ]);
    $api->get('furniture/getreviewcount', [
        'as' => 'furniture.getreviewcount',
        'uses' => 'FurnitureController@getReviewCount',
    ]);

    $api->post('furniture/addreview', [
        'as' => 'furniture.addreview',
        'uses' => 'FurnitureController@addReview',
    ]);

    $api->post('furniture/service_login', [
        'as' => 'furniture.service_login',
        'uses' => 'FurnitureController@serviceLogin',
    ]);

    $api->get('furniture/getfurnitureads', [
        'as' => 'furniture.getfurnitureads',
        'uses' => 'FurnitureController@getFurnitureAds',
    ]);
    $api->post('furniture/updatestatus', [
        'as' => 'furniture.updateStatus',
        'uses' => 'FurnitureController@updateStatus',
    ]);
    $api->post('furniture/getphonenumber', [
        'as' => 'furniture.getPhoneNumber',
        'uses' => 'FurnitureController@getPhoneNumber',
    ]);
    $api->get('furniture/getqrcode', [
        'as' => 'furniture.getQrcode',
        'uses' => 'FurnitureController@getQrcode',
    ]);
    $api->get('furniture/ordercount', [
        'as' => 'furniture.orderCount',
        'uses' => 'FurnitureController@orderCount',
    ]);
    $api->get('furniture/searchlist', [
        'as' => 'furniture.searchList',
        'uses' => 'FurnitureController@searchList',
    ]);
    $api->any('furniture/printorder', [
        'as' => 'furniture.printOrder',
        'uses' => 'FurnitureController@printOrder',
    ]);
    $api->post('furniture/saveformid', [
        'as' => 'furniture.saveFormId',
        'uses' => 'FurnitureController@saveFormId',
    ]);
    $api->get('furniture/getmorecomments', [
        'as' => 'furniture.getMoreComments',
        'uses' => 'FurnitureController@getMoreComments',
    ]);
    $api->get('furniture/addtolike', [
        'as' => 'furniture.addtolike',
        'uses' => 'FurnitureController@addToLike',
    ]);


});